Last Comment Bug 839652 - Simulated payments should not require https postbacks
: Simulated payments should not require https postbacks
Status: RESOLVED FIXED
p=2
:
Product: Marketplace
Classification: Server Software
Component: Payments/Refunds (show other bugs)
: 1.2
: x86 Mac OS X
: P3 normal (vote)
: 2013-03-14
Assigned To: Kumar McMillan [:kumar] (needinfo all the things)
:
Mentors:
Depends on:
Blocks: marketplace-payments
  Show dependency treegraph
 
Reported: 2013-02-08 14:16 PST by Kumar McMillan [:kumar] (needinfo all the things)
Modified: 2013-05-06 15:16 PDT (History)
0 users
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kumar McMillan [:kumar] (needinfo all the things) 2013-02-08 14:16:20 PST
When simulating a payment in production, webpay should not raise an error if the postback/chargeback is not an https URL. This will make development easier.
Comment 1 Kumar McMillan [:kumar] (needinfo all the things) 2013-03-06 07:59:42 PST
Fixed: https://github.com/mozilla/webpay/commit/a24865c37178796f1fef1d3c7b4ea8f47b3d04fd
Comment 2 Kumar McMillan [:kumar] (needinfo all the things) 2013-05-06 15:16:09 PDT
FYI, we will allow http URLs everywhere per bug 862588

Note You need to log in before you can comment on or make changes to this bug.